aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-014.sh
diff options
context:
space:
mode:
authorLars Henriksen <LarsHenriksen@get2net.dk>2020-08-21 11:12:50 +0200
committerLukas Fleischer <lfleischer@calcurse.org>2020-08-26 07:52:08 -0400
commitf2a7eea311116691a90120c3e0ba0f1ce7fac6c5 (patch)
tree96d01e63c51c5ae2129432ceeec85409706ea85a /test/ical-014.sh
parente3cfca7568c0481e30807a41a280752522af2838 (diff)
downloadcalcurse-f2a7eea311116691a90120c3e0ba0f1ce7fac6c5.tar.gz
calcurse-f2a7eea311116691a90120c3e0ba0f1ce7fac6c5.zip
Extend icalendar export
Export now covers advanced recurrence rules and properties imported to a note file. Signed-off-by: Lars Henriksen <LarsHenriksen@get2net.dk> Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'test/ical-014.sh')
-rwxr-xr-xtest/ical-014.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/ical-014.sh b/test/ical-014.sh
new file mode 100755
index 0000000..68f36a1
--- /dev/null
+++ b/test/ical-014.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+# Import followed by export and comparison
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+ mkdir .calcurse || exit 1
+ cp "$DATA_DIR/conf" .calcurse || exit 1
+ "$CALCURSE" -q -D "$PWD/.calcurse" -i "$DATA_DIR/ical-014.ical"
+ "$CALCURSE" -D "$PWD/.calcurse" -x |
+ sed -n '
+ /DESCRIPTION/p
+ /LOCATION/p
+ /COMMENT/p
+ ' |
+ sort
+ rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+ cat "$DATA_DIR/ical-014.ical" |
+ sed -n '
+ /DESCRIPTION/p
+ /LOCATION/p
+ /COMMENT/p
+ ' |
+ sort
+else
+ ./run-test "$0"
+fi